Run of lintian-fixes for ros-image-pipeline

Try this locally (using the package):

debcheckout ros-image-pipeline
cd ros-image-pipeline
DEB_UPDATE_CHANGELOG=auto lintian-brush
7859
7860
7861
7862
7863
7864
7865
7866
7867
7868
7869
7870
7871
7872
7873
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libopencv-dnn4.5 : Breaks: libdepth-image-proc-dev (< 1.15.2-4) but 1.15.2-4~jan+lint1 is to be installed
E: Unable to correct problems, you have held broken packages.
libdepth-image-proc-dev FAIL badpkg
blame: arg:/tmp/janitornstnkz0j/build-area/libdepth-image-proc-dev_1.15.2-4~jan+lint1_amd64.deb deb:libdepth-image-proc-dev arg:/tmp/janitornstnkz0j/build-area/libdepth-image-proc0d-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:libdepth-image-proc0d-dbgsym arg:/tmp/janitornstnkz0j/build-area/libdepth-image-proc0d_1.15.2-4~jan+lint1_amd64.deb deb:libdepth-image-proc0d arg:/tmp/janitornstnkz0j/build-area/libimage-proc-dev_1.15.2-4~jan+lint1_amd64.deb deb:libimage-proc-dev arg:/tmp/janitornstnkz0j/build-area/libimage-proc0d-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:libimage-proc0d-dbgsym arg:/tmp/janitornstnkz0j/build-area/libimage-proc0d_1.15.2-4~jan+lint1_amd64.deb deb:libimage-proc0d arg:/tmp/janitornstnkz0j/build-area/libimage-publisher-dev_1.15.2-4~jan+lint1_amd64.deb deb:libimage-publisher-dev arg:/tmp/janitornstnkz0j/build-area/libimage-publisher0d-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:libimage-publisher0d-dbgsym arg:/tmp/janitornstnkz0j/build-area/libimage-publisher0d_1.15.2-4~jan+lint1_amd64.deb deb:libimage-publisher0d arg:/tmp/janitornstnkz0j/build-area/libimage-rotate-dev_1.15.2-4~jan+lint1_amd64.deb deb:libimage-rotate-dev arg:/tmp/janitornstnkz0j/build-area/libimage-rotate0d-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:libimage-rotate0d-dbgsym arg:/tmp/janitornstnkz0j/build-area/libimage-rotate0d_1.15.2-4~jan+lint1_amd64.deb deb:libimage-rotate0d arg:/tmp/janitornstnkz0j/build-area/libimage-view-dev_1.15.2-4~jan+lint1_amd64.deb deb:libimage-view-dev arg:/tmp/janitornstnkz0j/build-area/libimage-view0d-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:libimage-view0d-dbgsym arg:/tmp/janitornstnkz0j/build-area/libimage-view0d_1.15.2-4~jan+lint1_amd64.deb deb:libimage-view0d arg:/tmp/janitornstnkz0j/build-area/libstereo-image-proc-dev_1.15.2-4~jan+lint1_amd64.deb deb:libstereo-image-proc-dev arg:/tmp/janitornstnkz0j/build-area/libstereo-image-proc0d-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:libstereo-image-proc0d-dbgsym arg:/tmp/janitornstnkz0j/build-area/libstereo-image-proc0d_1.15.2-4~jan+lint1_amd64.deb deb:libstereo-image-proc0d arg:/tmp/janitornstnkz0j/build-area/python3-camera-calibration_1.15.2-4~jan+lint1_all.deb deb:python3-camera-calibration arg:/tmp/janitornstnkz0j/build-area/python3-image-proc_1.15.2-4~jan+lint1_all.deb deb:python3-image-proc arg:/tmp/janitornstnkz0j/build-area/python3-image-publisher_1.15.2-4~jan+lint1_all.deb deb:python3-image-publisher arg:/tmp/janitornstnkz0j/build-area/python3-image-rotate_1.15.2-4~jan+lint1_all.deb deb:python3-image-rotate arg:/tmp/janitornstnkz0j/build-area/python3-image-view_1.15.2-4~jan+lint1_all.deb deb:python3-image-view arg:/tmp/janitornstnkz0j/build-area/python3-stereo-image-proc_1.15.2-4~jan+lint1_all.deb deb:python3-stereo-image-proc arg:/tmp/janitornstnkz0j/build-area/ros-camera-calibration_1.15.2-4~jan+lint1_all.deb deb:ros-camera-calibration arg:/tmp/janitornstnkz0j/build-area/ros-image-proc-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-proc-dbgsym arg:/tmp/janitornstnkz0j/build-area/ros-image-proc_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-proc arg:/tmp/janitornstnkz0j/build-area/ros-image-publisher-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-publisher-dbgsym arg:/tmp/janitornstnkz0j/build-area/ros-image-publisher_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-publisher arg:/tmp/janitornstnkz0j/build-area/ros-image-rotate-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-rotate-dbgsym arg:/tmp/janitornstnkz0j/build-area/ros-image-rotate_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-rotate arg:/tmp/janitornstnkz0j/build-area/ros-image-view-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-view-dbgsym arg:/tmp/janitornstnkz0j/build-area/ros-image-view_1.15.2-4~jan+lint1_amd64.deb deb:ros-image-view arg:/tmp/janitornstnkz0j/build-area/ros-stereo-image-proc-dbgsym_1.15.2-4~jan+lint1_amd64.deb deb:ros-stereo-image-proc-dbgsym arg:/tmp/janitornstnkz0j/build-area/ros-stereo-image-proc_1.15.2-4~jan+lint1_amd64.deb deb:ros-stereo-image-proc /tmp/janitornstnkz0j/build-area/ros-image-pipeline_1.15.2-4~jan+lint1.dsc
badpkg: Test dependencies are unsatisfiable. A common reason is that your testbed is out of date with respect to the archive, and you need to use a current testbed or run apt-get update or use -U.
autopkgtest [09:47:17]: test libimage-proc-dev: preparing testbed
autopkgtest [09:47:33]: testbed dpkg architecture: amd64
Reading package lists...

Summary

Full worker log Full build log